OutputWrapper (Velocity 1.4 API)
Keywords: org.apache.velocity.anakia.OutputWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class OutputWrapper

    java.lang.Object
      org.jdom.output.XMLOutputter
          org.apache.velocity.anakia.OutputWrapper

All Implemented Interfaces:
  java.lang.Cloneable

public class OutputWrapper
extends org.jdom.output.XMLOutputter

This class extends XMLOutputter in order to provide a way to walk an Element tree into a String.

Version:
  $Id: OutputWrapper.java,v 1.6.4.1 2004/03/03 23:22:04 geirm Exp $
Author:
  Jon S. Stevens, Sam Ruby

Nested Class Summary

Nested classes inherited from class org.jdom.output.XMLOutputter
`org.jdom.output.XMLOutputter.NamespaceStack`

Field Summary

Fields inherited from class org.jdom.output.XMLOutputter
``

Constructor Summary
`OutputWrapper()` Empty constructor

Method Summary
`java.lang.String` | `outputString(org.jdom.Element element, boolean strip)` This method walks an Element tree into a String.

Methods inherited from class org.jdom.output.XMLOutputter
`clone, createNamespaceStack, escapeAttributeEntities, escapeElementEntities, indent, makeWriter, makeWriter, newline, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, outputElementContent, outputElementContent, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, parseArgs, printAttributes, printCDATA, printComment, printContentRange, printDeclaration, printDocType, printElement, printEntityRef, printProcessingInstruction, printString, printText, printTextRange, setEncoding, setExpandEmptyElements, setIndent, setIndent, setIndent, setIndentSize, setLineSeparator, setNewlines, setOmitDeclaration, setOmitEncoding, setTextNormalize, setTextTrim, setTrimAllWhite, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputWrapper

    public OutputWrapper()

  Empty constructor

Method Detail

### outputString

    public java.lang.String outputString(org.jdom.Element element,
                                         boolean strip)

  This method walks an Element tree into a String. The cool thing about it is that it will strip off the first Element. For example, if you have:

  <td> foo <strong>bar</strong> ack </td>

  It will output

  foo <strong>bar</strong> ack </td>

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.